## cascading.flow.stream
Class OpenReducingDuct<Incoming,Outgoing>

    java.lang.Object
      cascading.flow.stream.Duct<Grouping<Incoming,Iterator<Incoming>>,Outgoing>
          cascading.flow.stream.OpenReducingDuct<Incoming,Outgoing>

All Implemented Interfaces:
  OpenWindow

    public class OpenReducingDuct<Incoming,Outgoing>

extends Duct<Grouping<Incoming,Iterator<Incoming>>,Outgoing>
implements OpenWindow

Field Summary

Fields inherited from class cascading.flow.stream.Duct
`next`

Constructor Summary
`OpenReducingDuct(Duct<Outgoing,?> next)`

Method Summary
`void` `receive(Duct previous, Grouping<Incoming,Iterator<Incoming>> grouping)`

Methods inherited from class cascading.flow.stream.Duct
`bind, cleanup, complete, getNext, getNextFor, initialize, prepare, receiveFirst, start, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### OpenReducingDuct

    public OpenReducingDuct(Duct<Outgoing,?> next)

Method Detail

### receive

    public void receive(Duct previous,
                        Grouping<Incoming,Iterator<Incoming>> grouping)

  Specified by:
    `receive` in class `Duct<Grouping<Incoming,Iterator<Incoming>>,Outgoing>`

Copyright © 2007-2014 Concurrent, Inc. All Rights Reserved.